<template>
  <ToolbarItemContainer
    iconFile="https://qianzhiy-applet.oss-rg-china-mainland.aliyuncs.com/h5/images/house/user/tool-icon4.png"
    title="我的房源"
    :needDialog="false"
    iconWidth="30px"
    iconHeight="30px"
    @onIconClick="onIconClick"
  >
    <div class="video-upload">
      <input
        ref="inputRef"
        title="我的房源"
        type="file"
        data-type="video"
        accept="video/*"
      />
    </div>
  </ToolbarItemContainer>
</template>
<script lang="ts" setup>
import ToolbarItemContainer from "../toolbar-item-container/index.vue";
interface IProps {
  infoData: Object;
}
const props = withDefaults(defineProps<IProps>(), {});
function getParamValue(paramName) {
  const regExp = new RegExp("[?&]" + paramName + "=([^&#]*)");
  const results = regExp.exec(window.location.href);
  if (results) {
    return decodeURIComponent(results[1]);
  } else {
    return null;
  }
}

const onIconClick = () => {
  webUni.webView.navigateTo({
    url:
      "/packageHouse/home/house/my-house?userId=" +
      getParamValue("recruitUserId"),
  });
};
</script>

<style lang="scss" scoped>
@import "../../../../assets/styles/common";
</style>
